Package org.eclipse.emf.compare.ide.ui.internal.logical.view

# Class AbstractLogicalModelViewHandler

java.lang.Object
org.eclipse.emf.compare.ide.ui.internal.logical.view.AbstractLogicalModelViewHandler

All Implemented Interfaces:
  `ILogicalModelViewHandler`

Direct Known Subclasses:
  `EMFCompareEditorLMVHandler`, `EMFReflectiveEditorLMVHandler`, `ExplorersViewSelectionLMVHandler`

public abstract class AbstractLogicalModelViewHandler extends Object implements ILogicalModelViewHandler
Abstract implementation of the handling of editors' activations, for the Logical Model View.

## Constructor Summary

Constructors
Constructor
Description
`AbstractLogicalModelViewHandler()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canHandle(org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection selection)`
This will be called to determine whether the given editor or the given selection must be listened by the logical model view.
`Collection<org.eclipse.core.resources.IFile>`
`getFiles(org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection selection)`
Retrieve the files associated with the given editor (via its `IWorkbenchPart`) or the given selection.
`Collection<SynchronizationModel>`
`getSynchronizationModels(org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection selection, org.eclipse.core.runtime.IProgressMonitor monitor)`
Get the logical models associated with the given editor or selection.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractLogicalModelViewHandler

public AbstractLogicalModelViewHandler()

## Method Details

### canHandle

public boolean canHandle(org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection selection)
This will be called to determine whether the given editor or the given selection must be listened by the logical model view.

Specified by:
  `canHandle` in interface `ILogicalModelViewHandler`
Parameters:
  `part` - the `IWorkbenchPart` of the editor on which the selection occurs.
  `selection` - the `ISelection` to test.
Returns:
  true if the editor or the selection must be listened, false otherwise.

### getFiles

public Collection<org.eclipse.core.resources.IFile> getFiles(org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection selection)
Retrieve the files associated with the given editor (via its `IWorkbenchPart`) or the given selection.

Specified by:
  `getFiles` in interface `ILogicalModelViewHandler`
Parameters:
  `part` - the `IWorkbenchPart` of the editor on which the selection occurs.
  `selection` - the `ISelection`.
Returns:
  the files associated with the given editor or the given selection.

### getSynchronizationModels

public Collection<SynchronizationModel> getSynchronizationModels(org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection selection, org.eclipse.core.runtime.IProgressMonitor monitor)
Get the logical models associated with the given editor or selection.

Specified by:
  `getSynchronizationModels` in interface `ILogicalModelViewHandler`
Parameters:
  `part` - the `IWorkbenchPart` of the editor on which the selection occurs.
  `selection` - the `ISelection`.
  `monitor` - to monitor the process.
Returns:
  the logical models associated with the given editor or selection.